# Partially settle/refund a payment

Confirm a settlement/refund of individual line items within a payment.

Endpoint: POST /splitPayments/{splitPaymentId}/items/{itemId}/fulfillments
Version: 2025-06-25
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `splitPaymentId` (string, required)
    ID of the split payment.

  - `itemId` (string, required)
    ID of the line item listed in a split payment request.

## Header parameters:

  - `Content-Type` (string, required)
    The Content-Type.

  - `WP-Api-Version` (string, required)

## Request fields (application/json):

  - `reference` (string, required)
    A reference generated by you to identify the split payments.

  - `description` (string)
    Description of the fulfillment
    Example: optional description of fulfillment

  - `paymentCommandId` (string, required)
    A unique ID generated by us for each lifecycle event on a payment. You have received this in the [response of your payment authorization request](/products/card-payments/openapi/other/authorize#other/authorize/t=response&c=201&path=&d=0/commandid) in our Card Payments API.

  - `transactionType` (string, required)
    Defines the type of payment lifecycle action.
    Enum: "settle", "refund"

## Request examples:

  - `Single Item Settlement` (unknown)

  - `Single Item Refund` (unknown)

## Response 201:

  - `201` (unknown)
    Merchant Pay-in accepted

## Response 201 fields (application/json):

  - `fulfillment` (string)
    Update status to fulfilled

## Response 201 headers (application/json):

  - `WP-CorrelationId` (string)
    Example: c85762a8-93af-47e7-beae-345d3dddbe94

## Response 400:

  - `400` (unknown)
    Bad request format or data

## Response 400 fields (application/json):

  - `errorName` (string, required)
    Enum: "bodyIsEmpty", "bodyIsNotJson", "bodyDoesNotMatchSchema", "urlContainsInvalidValue"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  *This is not for machine consumption*.

  - `validationErrors` (array)
    If there were field validation errors, they will be collected in this array.

  - `validationErrors.errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "fieldIsNull", "fieldIsEmpty", "numberIsTooLarge", "numberIsTooSmall", "stringFailedRegexCheck"

  - `validationErrors.message` (string, required)
    A human readable message giving a corrective action for the error.  *This is not for machine consumption*.

  - `validationErrors.jsonPath` (string)
    The field presents the JSONPath of the element within the request body associated with the error.

  - `validationErrors.queryParameter` (string)
    The query parameter associated with the validation error.

  - `validationErrors.pathParameter` (string)
    The path parameter associated with the validation error.

## Response 400 headers (application/json):

  - `WP-CorrelationId` (string)
    Example: c85762a8-93af-47e7-beae-345d3dddbe94

## Response 401:

  - `401` (unknown)
    Un-authorized access, insufficient permissions to fulfil request

## Response 401 fields (application/json):

  - `errorName` (string, required)
    Un-authorized access, Insufficient permissions to fulfil request.
    Enum: "unauthorizedAccess"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  *This is not for machine consumption*.

## Response 401 headers (application/json):

  - `WP-CorrelationId` (string)
    Example: c85762a8-93af-47e7-beae-345d3dddbe94

## Response 406:

  - `406` (unknown)
    A request header or API version value is invalid or unsupported.

## Response 406 fields (application/json):

  - `errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "headerHasInvalidValue"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  *This is not for machine consumption*.

## Response 406 headers (application/json):

  - `WP-CorrelationId` (string)
    Example: c85762a8-93af-47e7-beae-345d3dddbe94

## Response 415:

  - `415` (unknown)
    Media type not supported

## Response 415 fields (application/json):

  - `errorName` (string, required)
    A machine and human readable error type for clarity and semantic understanding of the error.
    Enum: "headerHasInvalidValue"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  *This is not for machine consumption*.

## Response 415 headers (application/json):

  - `WP-CorrelationId` (string)
    Example: c85762a8-93af-47e7-beae-345d3dddbe94

## Response 500:

  - `500` (unknown)
    internalErrorOccurred

## Response 500 fields (application/json):

  - `errorName` (string, required)
    An error occurred within the service.
    Enum: "internalErrorOccurred"

  - `message` (string, required)
    A human readable message giving a corrective action for the error.  *This is not for machine consumption*.

## Response 500 headers (application/json):

  - `WP-CorrelationId` (string)
    Example: c85762a8-93af-47e7-beae-345d3dddbe94

## Response 201 examples:

  - `Single Item Settlement` (unknown)

## Response 400 examples:

  - `bodyIsEmpty` (unknown)

  - `bodyIsNotJson` (unknown)

  - `bodyDoesNotMatchSchema` (unknown)

  - `urlContainsInvalidValue` (unknown)

## Response 401 examples:

  - `unauthorizedAccess` (unknown)

## Response 406 examples:

  - `invalidAcceptHeader` (unknown)

  - `invalidApiVersionHeader` (unknown)

## Response 415 examples:

  - `headerHasInvalidValue` (unknown)

## Response 500 examples:

  - `Internal server error` (unknown)

